@import url('https://fonts.googleapis.com/css2?family=Source+Serif+4:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;0,600;1,300;1,400;1,500;1,600&display=swap');

/* Diane Onlooker */

html {
  --blanco: #ffffff;
  --negro: #000000;
  --gris-oscuro: #333333;
  --gris-claro: #cccccc;
  --gris: #868686;

  --main-width:1221px;
  --ffamily: 'Source Serif 4', sans-serif;
  --ffamily-2: "Poppins", sans-serif;

  --novas-titulo:17px;
  --h-cab: 150px;
  --h-cab-mobil: 4.3em;
}


/* estilos comunes */
body,
form,
table {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

head,
footer {
}

.destacado {
  font-weight: bold;
}

.celda_body {
  display: flex;
  flex-direction: column;
  margin: 0;
  padding: 0;
  color: var(--negro);
  height: 100%;
  background-color: var(--blanco);
  font-family: 'Source Serif 4', sans-serif;
  font-size: 14px;
}

table {
  font-family: 'Source Serif 4', sans-serif;
  font-size: 14px;
}

.celda_body h1,
.celda_body h2,
.celda_body h3,
.celda_body h4 {
  font-weight: normal;
  line-height: normal;
}

.celda_body h1,
.celda_body h2 {
  font-size: 21px;
}

.celda_body h3 {
  font-size: 19px;
}

.celda_cabeceira,
.celda_cabeceira_over {
}

.celda_detalle {
  /* margin: 0;
  padding: 0; */
}

.celda_detalle > div > div {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.celda_prgf,
.celda_prgf_over {
  padding: 1em;
}

.celda_elmt,
.celda_elmt_texto,
.celda_elmt_cabpe,
.celda_elmt_edit,
.celda_elmt_fondo,
.celda_elmt_over,
.celda_elmt_texto_over,
.celda_elmt_cabpe_over,
.celda_elmt_edit_over,
.celda_elmt_fondo_over {
}

.celda_elmt_texto,
.celda_elmt_texto_over,
.celda_elmt_texto_over a {
  line-height: 151%;
  background-color: transparent;
  text-align: justify;
}

.celda_elmt_cabpe,
.celda_elmt_cabpe_over {
  max-width: 100%;
}

.cab_titulo {
}

.celda_elmt_marcado {
  padding: 0;
}

.celda_imaxe {
  max-width: 100%;
  padding: 0;
  margin-bottom: 1.5em;
}




/* .trw_panoramix2_00 {
  box-sizing: border-box;
  will-change: filter;
  height: 40em;
  filter:grayscale(1);
  transition:filter .3s ease-in-out;
}

.trw_panoramix2_00:hover {
  filter:grayscale(0);
  transition:filter .3s ease-in-out;
}


.trw_panoramix2_txt {
  box-sizing: border-box;
  position:relative;
  height: 100%;
  max-width: var(--main-width);
  width: 100%;
  background-color: transparent;
  color:#fff;
  padding:1em;
}


.trw_panoramix2_txt > h1,
.trw_panoramix2_txt > div {
  position:absolute;
  top:50%;
  right: 50%;
  transform: translateY(-50%, -50%);
  
 
  color:#fff;
  width: auto;
  padding:1em;
  font-size: 16px;
  font-style: italic;
  font-weight: normal;
} */

/* =========
   Panoramix
  =========== */

#trw-panoramix-visor {
  display: none;
  box-sizing: border-box;
}

#trw-panoramix-visor.portada {
  margin-top: calc(var(--h-cab) * -1);
}

/* sombreado sobre panoramix */
.trw_panoramix2_00.portada::after {
  
}

.trw_panoramix2_00 {
  box-sizing: border-box;
  height: 70vh;
  will-change: animation;
  transform: translateZ(-10px);
 /*  filter:grayscale(1); */
  transition:filter .3s ease-in-out;
}

.trw_panoramix2_00.portada {
  height: 100vh;
  height: 100dvh;
}

.trw_panoramix2_00::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /*  background: linear-gradient(to bottom, #000000, transparent 33%); */
  z-index: -1;
}

.trw_panoramix2_txt {
  box-sizing: border-box;
  width: calc(100% - 2em);
  height: 100%;
  max-width: var(--main-width);
  margin: 0 auto;
  position: relative;

  color: var(--blanco);
}

.trw_panoramix2_txt > h1:not(:empty),
.trw_panoramix2_txt > div:not(:empty) {
  box-sizing: border-box;
  width: 70%;
  font-weight: bold;
  text-shadow: none;
  position: absolute;
  top: 70%;
  left: 50%;
  transform: translate(-50%, 0%);
  line-height: initial;
  text-align: center !important;
  font-size: 1.7rem;
}

.trw_panoramix2_txt > div:not(:empty) p {
  font-size: 1.5rem;
  font-size: clamp(1.3rem, 1.2231rem + 0.3077vw, 1.5rem);
  font-weight: normal;
}

.trw_panoramix2_txt > h1:not(:empty) > span,
.trw_panoramix2_txt > h1:not(:empty) > a,
.trw_panoramix2_txt > h1:not(:empty) > span > a {
  display: block;
  color: var(--blanco);
}

.trw_panoramix2_txt h1:not(:empty) {
  color: var(--blanco);
  font-size: clamp(2.3rem, 1.9154rem + 1.5385vw, 3.3rem) !important;
  letter-spacing: 1px;
}

.pano-text-shadow {
  text-shadow: 1px 1px 1px #000000;
}

span.pano-redes {
  display: flex !important;
  box-sizing: border-box;
  font-weight: normal;
  align-items: center;
  justify-content: flex-end;
  gap: 0.5em;
}

span.pano-redes > a {
  color: var(--blanco);
}

.pano-redes img {
  box-sizing: border-box;
  display: block;
  width: 30px;
  height: auto;
}

.trw_panoramix2_txt a:hover {
  transition: 200ms;
  color: var(--naranja);
}

.trw_panoramix2_txt img {
  display:block;
  width: 100%;
  max-width: 300px;
  height: auto;
  margin: 0 auto;
}

/* .trw_panoramix2_00:hover {
  filter:grayscale(0);
  transition:filter .3s ease-in-out;
} */


/******************* cabeceiras */


/* Cab principal */ 

#id_paf_01.portada {
  background-color: transparent;
}


.look-cab {
  position: relative;
  z-index: 10;
  box-sizing: border-box;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 150px;
}

.look-cab__wrap {
  width: calc(100% - 20px);
  max-width: var(--main-width);
  margin: 0 auto;
  box-sizing: border-box;
  display:grid;
  grid-template-columns: 1fr 2fr 1fr;
}

.look-cab__col,
.look-login-cesta {
  display:flex;
  align-items: center;
  box-sizing: border-box;
}

.look-cab__col--logo {
  justify-content: flex-start;
  gap: 0.5rem;
}

#id_look_logo img {
  min-width: 100px;
  will-change: transform;
  transform: translateZ(10px);
}

.look-cab__col--menu {
  justify-self: flex-end;
  text-transform: uppercase;
  font-size: 13px;
}

.look-cab__col--accions {
  justify-content: flex-end;
  gap:1.5em;
}

.look-login-cesta {
  justify-content: center;
}

.look-login-cesta__link {
  display: block;
  width: 20px;
  height: 20px;
  margin: 0.5em;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

.look-login-cesta__link--login {
  background-image: url("login.png");
}

.look-login-cesta__link--cesta {
  background-image: url("cesta.png");
}

/* ----  cab scroll ---- */

#id_look_02 {
  position: fixed;
  top: 0;
  z-index: 1;
  box-sizing: border-box;
  flex-direction: column;
  align-items: center;
  width: 100%;
  background-color: #fff;
  box-shadow: 0 0 10px 0px rgba(0,0,0, .3);
}

#id_look_02 #id_look_logo {
  width: 120px;
  margin:.3em 0;
}

/* móvil */

.cab-movil {
  position: fixed;
  z-index: 1;
  box-sizing: border-box;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 4.3em;
  margin: 0;
  padding: 0;
  box-shadow: 0 0 10px 0px rgba(0,0,0, .3);
  background-color: var(--blanco);
}

.cab-movil__logo {
  width: 50%;
  min-width: 100px;
  max-width: 190px;
  will-change: transform;
  transform: translateZ(10px);
}

#id_look_03_lc #id_look_login {
  margin: 0 !important;
}

/* .cab-movil-logo {
  width: 200px;
}

#id_look_03_lc #id_look_logo {
  padding: 0;
  width: 200px;
}
 */
#id_look_03_lc #id_look_cesta {
  max-width: 62%;
  justify-self: center;
}

#id_look_03 .trw_elmt_cbuscador_marco input {
  box-sizing: border-box;
  outline: none;
  border-right:none;
  height: 39px;
  font-family: inherit;
  font-size: 1em;
}
#id_look_03 .trw_elmt_cbuscador_marco input:focus {
  border:1px solid #000;
  border-right:none;
}

#id_look_03 .trw_elmt_cbuscador_marco button {
  height: 39px;
  background-size: 57%;
}

#id_look_03 .cab_titulo {
  padding-left: 0.4em;
  font-size: 12px;
  color: #000 !important;
  background-color: #fff !important;
}

/* ========================CBuscador */

.cbuscador_marco {
  width: 180px;
  margin-bottom: 7px;
  border-bottom: 1px solid var(--gris-oscuro);
}

.cbuscador_input {
  border: 1px solid transparent;
  padding-right: 0.3em;
  padding-left: 0;
  padding-bottom: 0;
  outline: none;
  box-sizing: border-box;
  font-family: 'Source Serif 4', sans-serif;
  background-color: transparent;
  color: var(--gris-oscuro);
}

.cbuscador_input:focus {
  background-color: transparent;
}

.cbuscador_boton {
  border: 0;
  background-image: url("lupa-0.svg");
  background-color: transparent;
  height: 29px;
  width: 29px;
  background-size: 66%;
  background-position: right center;
}

/* ========================CIdioma */

.cidioma_texto,
.cidioma_texto_sl {
  padding: 0 0 0 4px;

  color: var(--negro);
}

.cidioma_texto_sl {
  font-weight: normal;
  text-decoration: underline;
}

.cidioma_texto:before,
.cidioma_texto_sl:before {
  content: "|";
  margin-right: 0.4em;
  font-weight: normal;

  color: var(--negro);
}

#look_menu_lateral_cab .cidioma_texto,
#look_menu_lateral_cab .cidioma_texto_sl {
  font-size: 1.3em;
}

#look_menu_lateral_cab .cidioma_texto:before,
#look_menu_lateral_cab .cidioma_texto_sl:before {
  color: var(--blanco);
}

.cidioma_marco > div:nth-child(1) {
  padding: 0;
}

.cidioma_marco > div:nth-child(1)::before {
  content: "" !important;
}

/* ========================CRS */

.CRS_0_marco,
.CRS_novas_marco {
  margin: 0;
  padding: 0;
}

.CRS_0_marco {
  display:flex;
  align-items: center;
}

.CRS_pax_marco {
  margin: 1.1em 0;
  padding: 0;
}

.CRS_svg,
.CRS_svg_novas {
  width: 30px;
  height: 30px;
}

.CRS_pax_marco .CRS_svg {
  display:none;
  fill:#fff;
}

.CRS_0_ico {
  width: 28px;
  margin: 0;
}

/* .CRS_0_marco > a {
  font-size:0;
}
 */
/* ========================navegador.migas */
.navegador_marco {
  margin: 0 0 3em 0;
  font-size: 90%;
}

.navegador_lmiga,
.navegador_lmiga_r {
  text-transform: uppercase;
  color: var(--negro);
  margin: 0 0.5em 0 0;
}

.navegador_lmiga::before,
.navegador_lmiga_r::before {
  content: ">";
  padding: 0;
  font-size: 13px;
  margin-right: 4px;
  color: var(--negro);
}

.navegador_lmiga:nth-child(1)::before {
  display: none;
}

/* ========================CARROUSEL */

.carrusel_marco {
  margin: 1.1em 0;
}

.carrusel_marco .item {
  margin: 0 2.3em;
}

.carrusel_iten_imaxe {
  filter:grayscale(1);
  transition:filter .3s ease-in-out;
  will-change: filter;
}

.carrusel_iten_imaxe:hover {
  filter: grayscale(0);
  transition:filter .3s ease-in-out;
}

.carrusel_iten_titulo {
  text-align: left !important;
  font-size: var(--novas-titulo) !important;
  font-weight: normal;
  line-height: 151%;
  width: initial;
  margin: 0.7em 0;
  padding-bottom: 0.7em;
  color: var(--negro);
  border-bottom: 1px solid var(--negro);
}

.carrusel_iten_notas {
  text-align: left;
  margin: 0;
  line-height: 151%;
  width: initial;
  padding: 0;
  font-size: 14px;
}

#id_look_01-a .trw_ms_tr .trw_ms_td:last-child {
  margin-right: 0;
}

/* =============== form contacto */

.boton,
.elmt_contacto_boton {
  border: none;
  outline: none;
  box-sizing: border-box;
  display:inline-block;
  text-align: center;
  vertical-align: middle;
  padding: 1em 2em;
  font-size: 14px;
  font-weight: 300;
  text-transform: uppercase;
  border-radius: 3px;
  background-color: var(--negro);
  color: var(--blanco);
  transition: all 0.2s;
  font-family: var(--ffamily-2);
}

.boton:hover,
.elmt_contacto_boton:hover {
  cursor: pointer;
  filter: saturate(1.5);
}

.boton--ghost:hover {
  background-color: var(--negro);
  color:var(--blanco);
}


.boton--ghost {
  background-color: transparent;
  border:1px solid var(--negro);
  color:var(--negro);
}

.boton--pano {
  background-color: transparent;
  border: 1px solid #fff;
  color: #fff;
  font-weight: normal;
  font-size: 1rem;
  letter-spacing: 1px;
  padding: 0.5rem 2.5rem;
}

.boton--pano:hover {
  background-color: #000;
  border: 1px solid #000;
}


.boton::after {
  content: "→";
  display: inline-block;
  margin-left: 0.5em;
  font-size: 1em;
  line-height: 1;
}


.elmt_contacto_fila_boton {
  padding: 1.5em 0;
}

.elmt_contacto_fila > label {
  display:inline-block;
  padding:0;
  margin:.2em 0;
  background-color: transparent;
}

.elmt_contacto_fila > label.text {
  min-height: auto;
}

.elmt_contacto_fila input,
.elmt_contacto_fila select,
.elmt_contacto_textarea {
  box-sizing: border-box;
  width: 96%;
  padding-left:.3em;
  font-family: inherit;
  font-size: 1rem;
  transition:border .3s;
  color:var(--negro);
}

.elmt_contacto_select {
  border:1px solid #ccc;
  background-color: #f9f9f9;
}

.elmt_contacto_fila input:focus,
.elmt_contacto_textarea:focus {
  outline:none;
  border:1px solid #3c3c3c;
  transition:border .3s;
}

.elmt_contacto_fila .file {
  padding:.5em 0;
  border:none;
  background-color: transparent;
  font-size:1em;
}

.elmt_contacto_fila .file:focus {
  border:none;
}

#label_c_msx {
  height: auto;
  font-size:1em;
}

::-webkit-file-upload-button,
::file-selector-button {
  cursor: pointer;
  font-family: inherit;
  padding:.5em;
}


/* =============== filtrados  DESUSO  */

.catalogo-cbusca__titulo,
.elmt_ventas_busca_titulo {  /* DESUSO */
  color: var(--gris-claro);
}

.catalogo-btn-filtros,
.ventas_prgf_0000b {  /* DESUSO */
  color: var(--blanco);
  background-color: var(--negro);
}

.catalogo-ico-filtros,
.ventas_prgf_0000d {  /* DESUSO */
  fill: #fff;
}

/* =============== PE */
.pe_texto {
  min-height: 3em;
}

.look-pe {
  display:flex;
  flex-direction: column;
  border-top:1px solid var(--negro);
}

.look-pe__wrap {
  width: calc(100% - 20px);
  max-width: var(--main-width);
  margin: 0 auto;
  box-sizing: border-box;
  display:flex;
  gap: 3vw;
  flex-wrap: wrap;
}

.look-pe__row {
  box-sizing: border-box;
  padding:3em 0;
}

.look-pe__row--black {
  background-color: #000;
  color:#fff;
  font-size:12px;
  padding:1em 0;
}

.look-pe__row--black > div:first-of-type {
  justify-content: space-between;
}

.look-pe__row--black .look-pe__col {
  display:flex;
  align-items: center;
  gap:1em;
}

.look-pe__col {
  flex:1 1 10%;
}

.look-pe__col--right {
  justify-content: end;
}

.look-pe__col--right img {
  display:inline-block;
  margin-left:1em;
  max-width: 45px;
}

.look-pe__col--logos {
  display: flex;
  flex-direction: column;
  gap:2.5em;
  align-items: start;
  margin-right: 3em;
}

.look-pe__col--logos > img:nth-child(2) {
  width: min(100%,180px);
}

.look-pe__col > ul {
  padding:0;
  margin:0;
  list-style: none;
}

.look-pe__lista > li {
  margin-bottom: 1em;
}

.look-pe__lista > li.datos {
  display:flex;
  flex-direction: column;
}

.look-pe__titulo {
  text-transform: uppercase;
  font-weight: bold;
  margin-bottom:1.5em;
}

.look-pe__boton {
  display:block;
  box-sizing: border-box;
  border:1px solid transparent;
  background-color: var(--negro);
  color:var(--blanco);
  font-family:var(--ffamily-2);
  font-size: 12px;
  font-weight: 400;
  text-transform: uppercase;
  text-align: center;
  padding:.7em 1.5em;
  transition:.2s;
} 

.look-pe__boton:hover {
  cursor: pointer;
  color:#000;
  background-color: #fff;
  border:1px solid #000;
}
 /* ------- */

.separador {
  color: var(--gris-oscuro);
}

.txt-bold {
  font-weight: bold;
}

/*============================
=       Cards inicio         =
============================= */

.look-cards {
  display:grid;
  grid-template-columns: repeat(auto-fit, minmax(150px, .7fr));
  place-content: center;
  gap: 2em;
  margin:2em 0;
}

.look-card a {
  display:flex;
  flex-direction:column;
  text-align: center;
}

.look-card img {
  display:block;
  filter:grayscale(1);
  transition: all .3s ease-in-out;
  will-change: filter;
}

.look-card img:hover {
  cursor: pointer;
  filter: grayscale(0);
  transition: all .3s ease-in-out;
}

.look-card__span {
  display:block;
  box-sizing: border-box;
  width: 100%;
  background-color: #000;
  color:#fff;
  font-weight: bold;
  text-align: center;
  text-transform: uppercase;
  margin-top:1em;
  padding:.5em;
  border:1px solid transparent;
  transition:.2s;
}

/* .look-card__span:hover {
  cursor: pointer;
  background-color: #fff;
  color:#000;
  border:1px solid #000;
} */

 .look-cards {
    grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
    gap: 1em;
  }
  
  .look-card a {
    position:relative;
  }
  
  .look-card img {
     filter:grayscale(1);
  }
  .look-card__span {
    position:absolute;
    margin:0;
    top:50%;
    transform: translateY(-50%);
    text-transform: initial;
    font-weight: initial;
    font-size:1.3rem;
    line-height: 1.3;
    background-color: transparent;
  }
  
  .look-card a:has(.look-card__span:hover) img {
    filter: grayscale(0);
  }

/*=====  End of parrafo imgs portada =====*/


@media only screen and (max-width: 888px) {
  
  #trw-panoramix-visor,
  .celda_detalle {
    margin-top: 4.3em;
  }
  .celda_detalle.con-panoramix {
    margin-top:0;
  }
  
/*   .trw_panoramix2_00 {
    height: 40vh;
    filter:unset;
  }
 */

  .celda_body h1,
  .celda_body h2,
  .celda_body h3,
  .celda_body h4 {
    line-height: 1.3em;
  }

  .celda_prgf {
    padding: 0 1em;
  }

  .celda_imaxe {
    margin-bottom: 1em;
  }

  .celda_elmt_texto {
    text-align: left;
  }

  .trw_elmt_cbuscador_marco {
    box-sizing: border-box;
    margin: 0;
    padding: 1em;
  }

  .navegador_marco {
    margin-top: 1em;
    font-size: 12px;
  }

  .look-pe__wrap {
    flex-direction: column;
    align-items: flex-start;
    gap:2em;
  }

  .look-pe__row--black {
    text-align: center;
    padding:2em 1em;
  }

   .trw_panoramix2_00 {
    animation: none;
    background-size: cover;
  }

  #trw-panoramix-visor {
    margin-top: 0;
  }

  #trw-panoramix-visor.portada {
    margin-top: var(--h-cab-mobil);
  }

  .trw_panoramix2_txt > h1:not(:empty),
  .trw_panoramix2_txt > div:not(:empty) {
    width: 100%;
    text-align: center !important;
  }

  .trw_panoramix2_txt > h1:not(:empty) > :nth-child(2) {
    font-size: 1rem;
  }

    .look-card__span {
    font-size: 1rem;
  }

}

@media only screen and (max-width: 555px) {

  .trw_panoramix2_00 {
    filter: none;
  }

  .trw_panoramix2_txt > h1,
  .trw_panoramix2_txt > div {
    font-size:14px;
    top:90%;
    left:50%;
    transform: translate(-50%, -90%);
    padding:.3em 1.3em;
  }

  .look-pe__row--black .look-pe__col {
    flex-direction:column;
  }

  /* cards para movil */
  

  .look-cards {
    grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
    gap: 1em;
  }


/*   .look-card a {
    position:relative;
  }
  
  .look-card img {
    filter:grayscale(0); 
  }
  
  .look-card__span {
    position:absolute;
    margin:0;
    bottom:0;
    background-color: rgba(0,0,0,.7);
  }
  
  .look-card__span:hover {
    cursor: pointer;
    background-color: #000;
    color:#fff;
    border:1px solid #000;
  } */

}

